/* allow to create the tunnel device "tun0"
for a time period of 90 sec,
e.g. ifconfig tun0 inet $(get_ip -d),
01.07.2010 */

#include <string.h>
#include <stdio.h>
#include <stdlib.h> 

int tun_open();
int tun_close(int fd);

unsigned int sleep(unsigned int seconds);

int make_tun_device (int tun_fd) {
  
  return 0;
}

int main(void) {
  int tun_fd = 0;
  int pid;

  if ((tun_fd = tun_open()) < 1) {
    fprintf(stderr, "Could not create tunnel device. Fatal.\n");
    return 1;
  }

  make_tun_device(tun_fd);
  
  sleep(90);	/* if necessary you could change the 90 sec */

  tun_close(tun_fd);

  return 0;
}
